
//We should make a "wrapper" to graph generation functions


function generate_ds_perf_graph(threads, conns, outstanding) {

  var chart4 = c3.generate({
    axis: {
      rotated: true,
      x: {
        categories: ['Maximum Threads', 'Current Connections', 'Outstanding Operations'],
        tick: {
          outer: false
        },
        type: 'category'
      },
      y: {
      }
    },
    bindto: '#ds_perf_chart',
    color: {
      pattern: ['#006e9c','#00a8e1', '#3f9c35', '#ec7a08', '#cc0000']
    },
    data: {
      columns: [
        ['Number', threads, conns, outstanding],
      ],
      groups: [
        ['Number']
      ],
      type: 'bar'
    },
    grid: {
      y: {
        show: true
      }
    },
    size: {
      height: 200
    }
  });
}


function generate_ds_db_cachehitratio_graph(dbcachehitratio) {

  var chart5 = c3.generate({
    axis: {
      rotated: true,
      x: {
        categories: ['Database Cache Hit Ratio', ],
        tick: {
          outer: false
        },
        type: 'category'
      },
      y: {
      }
    },
    bindto: '#ds_db_cachehitratio_chart',
    color: {
      pattern: ['#006e9c','#00a8e1', '#3f9c35', '#ec7a08', '#cc0000']
    },
    data: {
      columns: [
        ['Number', dbcachehitratio],
      ],
      groups: [
        ['Number']
      ],
      type: 'bar'
    },
    grid: {
      y: {
        show: true
      }
    },
    size: {
      height: 100
    }
  });
}



function generate_db_perf_graph(chart_id, columns, categories) {

  var chart4 = c3.generate({
    axis: {
      rotated: true,
      x: {
        categories: categories,
        tick: {
          outer: false
        },
        type: 'category'
      },
      y: {
      }
    },
    bindto: '#' + chart_id,
    color: {
      pattern: ['#006e9c','#00a8e1', '#3f9c35', '#ec7a08', '#cc0000']
    },
    data: {
      columns: [
        columns
      ],
      groups: [
        ['Number']
      ],
      type: 'bar'
    },
    grid: {
      y: {
        show: true
      }
    },
    size: {
      height: 200
    }
  });
}
